Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## scone.usertesttool
Class UserTestControl

    java.lang.Object
      java.lang.Thread
          scone.usertesttool.UserTestControl

All Implemented Interfaces:
  java.lang.Runnable

    public class UserTestControl

extends java.lang.Thread

This class controls the test

Version:
  1.5, 04/15/2004
Author:
  Torsten Hass, Harald Weinreich

Nested Class Summary

Nested classes/interfaces inherited from class java.lang.Thread
`java.lang.Thread.State, java.lang.Thread.UncaughtExceptionHandler`

Field Summary
`protected static java.util.ResourceBundle` | `labels`
`boolean` | `outputDebugInfo`
`protected static PersistentProperties` | `props`

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`UserTestControl()`

Method Summary
`void` | `buttonClick(UTButton button)` This method is involked when a button inside the TaskWindow is clicked
`void` | `cancelTest()` cancelTest() is involked by TaskWindow when the user closed the task window
`TaskPanel` | `createTestChooser(scone.usertesttool.PersistentTestStateStore ptss, UserTestControl utc)` This method creates a TaskPanel that contains the test chooser and the chooser for unfinished Tests
`protected java.lang.Object` | `getComponentByName(java.lang.String compName)`
`TaskWindow` | `getTaskWindow()`
`protected boolean` | `isInputComponent(java.lang.Object comp)`
`void` | `pageCalled(java.lang.String pageName)` This method is called by UserTestToolMeg, everytime the Browser loads a page from host http://usertest.scone.de
`void` | `pageLoading(Access access)` This method is called by EventObserver, everytime the Browser loads a new page.
`void` | `pageUnloading(Access access)`
`org.w3c.dom.Document` | `parseXmlFile(java.lang.String fileName)`
`void` | `performActions(java.util.ArrayList actionList)` This method reads out the actions of a clicked button and performs them
`void` | `prepareFirstTask(java.lang.String testPerson, java.lang.String xmlFile, int testNumber)`
`void` | `restartTest(java.lang.String resultFile, int taskNumber)`
`void` | `run()` This method starts the thread and opens the gui.
`void` | `startNextTask()`
`void` | `textFieldReturn(UTTextField textField)` This method is involked when a TextEntryBox inside the TaskWindow is left with the return button
`java.lang.String` | `unEscape(java.lang.String escaped)` This method returns the effect of the JavaScript escape() method.

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### labels

    protected static java.util.ResourceBundle labels

### props

    protected static PersistentProperties props

### outputDebugInfo

    public boolean outputDebugInfo

Constructor Detail

### UserTestControl

    public UserTestControl()

Method Detail

### run

    public void run()

  This method starts the thread and opens the gui.

  Specified by:
    `run` in interface `java.lang.Runnable`
  Overrides:
    `run` in class `java.lang.Thread`

### parseXmlFile

    public org.w3c.dom.Document parseXmlFile(java.lang.String fileName)

### pageCalled

    public void pageCalled(java.lang.String pageName)

  This method is called by UserTestToolMeg, everytime the Browser loads a page from host http://usertest.scone.de

  Parameters:
    `pageName` - The name of the page called

### pageLoading

    public void pageLoading(Access access)

  This method is called by EventObserver, everytime the Browser loads a new page.

  Parameters:
    `access` - The Access object, containing information about the loaded page

### unEscape

    public java.lang.String unEscape(java.lang.String escaped)

  This method returns the effect of the JavaScript escape() method. The %-Character, followed by two hexadecimal digits will be converted to one character

  Parameters:
    `escaped` - The escaped string
  Returns:
    The unescaped string

### prepareFirstTask

    public void prepareFirstTask(java.lang.String testPerson,
                                 java.lang.String xmlFile,
                                 int testNumber)

### startNextTask

    public void startNextTask()

### restartTest

    public void restartTest(java.lang.String resultFile,
                            int taskNumber)

### pageUnloading

    public void pageUnloading(Access access)

### buttonClick

    public void buttonClick(UTButton button)

  This method is involked when a button inside the TaskWindow is clicked

### textFieldReturn

    public void textFieldReturn(UTTextField textField)

  This method is involked when a TextEntryBox inside the TaskWindow is left with the return button

### performActions

    public void performActions(java.util.ArrayList actionList)

  This method reads out the actions of a clicked button and performs them

  Parameters:
    `actionList` - The List of actions of the clicked button

### isInputComponent

    protected boolean isInputComponent(java.lang.Object comp)

### getComponentByName

    protected java.lang.Object getComponentByName(java.lang.String compName)

### cancelTest

    public void cancelTest()

  cancelTest() is involked by TaskWindow when the user closed the task window

### createTestChooser

    public TaskPanel createTestChooser(scone.usertesttool.PersistentTestStateStore ptss,
                                       UserTestControl utc)

  This method creates a TaskPanel that contains the test chooser and the chooser for unfinished Tests

  Parameters:
    `ptss` - PersistentTestStateStore object that contains the states of finished unfinished tests and a list of valid test description xml files.
    `utc` - The UserTestControl object that receives the button clicks of this Panel
  Returns:
    The TaskPanel containing the test chooser

### getTaskWindow

    public TaskWindow getTaskWindow()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD